List all brands
GET/v2/brands
Returns all brands in your organization with cursor-based pagination.
Query Parameters
limit- Number of brands to return (1-100, default: 10)cursor- Opaque cursor from a previous response for pagination
Response Structure
The response includes:
object- Always “list”data- Array of brand objectsnextCursor- Cursor for the next page (null if no more results)
Brand Object
Each brand includes:
id- Featurebase internal ID (MongoDB ObjectId)name- Brand display nameisDefault- Whether this is the default brandcreatedAt- Creation timestampupdatedAt- Last update timestamphelpCenterId- Associated help center IDsenderEmailAddressId- Default sender email address ID
Example Response
{
"object": "list",
"data": [
{
"object": "brand",
"id": "507f1f77bcf86cd799439011",
"name": "Default Brand",
"isDefault": true,
"createdAt": "2025-01-01T12:00:00.000Z",
"updatedAt": "2025-01-10T15:30:00.000Z",
"helpCenterId": "11",
"senderEmailAddressId": "507f1f77bcf86cd799439012"
}
],
"nextCursor": null
}
Version Availability
This endpoint is only available in API version 2026-01-01.nova and newer.
Query Parameters
List all brands
curl https://do.featurebase.app/v2/brands \
-H "Authorization: Bearer $FEATUREBASE_API_KEY"{
"data": [
{
"id": "507f1f77bcf86cd799439011",
"createdAt": "2025-01-01T12:00:00.000Z",
"helpCenterId": "11",
"isDefault": true,
"name": "Default Brand",
"object": "brand",
"senderEmailAddressId": "507f1f77bcf86cd799439012",
"updatedAt": "2025-01-10T15:30:00.000Z"
}
],
"nextCursor": "eyJpZCI6IjUwN2YxZjc3YmNmODZjZDc5OTQzOTAxMSJ9",
"object": "list"
}Returns Examples
{
"data": [
{
"id": "507f1f77bcf86cd799439011",
"createdAt": "2025-01-01T12:00:00.000Z",
"helpCenterId": "11",
"isDefault": true,
"name": "Default Brand",
"object": "brand",
"senderEmailAddressId": "507f1f77bcf86cd799439012",
"updatedAt": "2025-01-10T15:30:00.000Z"
}
],
"nextCursor": "eyJpZCI6IjUwN2YxZjc3YmNmODZjZDc5OTQzOTAxMSJ9",
"object": "list"
}